Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.model.dynamics
Class EModel

    java.lang.Object
      |
      +--com.beanexplorer.swing.table.Option
            |
            +--biouml.model.dynamics.EModelRoleSupport
                  |
                  +--biouml.model.dynamics.EModel

Direct Known Subclasses:
  MatlabOdeModel

public abstract class EModel
extends EModelRoleSupport

Genrally this role should be assotiated with Diagram.

Constructor Summary
`EModel(DiagramElement diagram)`

Method Summary
`void` | `addConstant(String name, double initialValue)` Utility function.
`abstract File[]` | `generateModel(File outDir)` Generates output files in output directory.
`double` | `getCompletionTime()`
`DataCollection` | `getConstants()`
`Category` | `getErrorCategory()`
`double` | `getInitialTime()`
`DataCollection` | `getVariables()`
`void` | `setCompletionTime(double completionTime)`
`void` | `setErrorCategory(Category newErrCat)`
`void` | `setInitialTime(double initialTime)`

Methods inherited from class biouml.model.dynamics.EModelRoleSupport
`getComment, getDiagramElement, setComment`

Methods inherited from class com.beanexplorer.swing.table.Option
`setParent, getParent, addPropertyChangeListener, removePropertyChangeListener, copyListenersTo`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, toString, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EModel

    public EModel(DiagramElement diagram)

Method Detail

### addConstant

    public void addConstant(String name, double initialValue)
                      throws java.lang.Exception

  Utility function.

### generateModel

    public abstract File[] generateModel(File outDir)
                                   throws java.lang.Exception

  Generates output files in output directory.

### getCompletionTime

    public double getCompletionTime()

### getConstants

    public DataCollection getConstants()

### getErrorCategory

    public Category getErrorCategory()

### getInitialTime

    public double getInitialTime()

### getVariables

    public DataCollection getVariables()

### setCompletionTime

    public void setCompletionTime(double completionTime)

### setErrorCategory

    public void setErrorCategory(Category newErrCat)

### setInitialTime

    public void setInitialTime(double initialTime)

Association Links

to Class org.apache.log4j.Category

to Class ru.biosoft.access.DataCollection

to Class ru.biosoft.access.DataCollection

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM